Subject: bug#41722: 26.3; mouse-2 does not work well on 7 button mouse

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 06 Jun 2022 15:54:54 +0200

Jason <[email-masked]> writes:

> My mouse has the mouse-wheel-right/left-event capability, however due to
> the HW design if you try to generate mouse-2 (eg middle click) it nearly
> always is preceded by a mouse-6 or mouse-7 event. xev confirms this.
>
> At some point mwheel.el gained support for the
> mouse-wheel-right/left-event, and traps it into
> mwheel-scroll. mwheel-scroll causes *any* wheel event to disable mouse-2
> on a timer (see mwheel-inhibit-click-event-timer).
>
> Thus with my mouse middle click doesn't work in emacs any more. This is
> a new regression at some point since emacs 25.2
>
> Since the mwheel left/right scroll is inhibited by default (see
> mouse-wheel-tilt-scroll) it should not trigger the inhibit click event
> timer unless that function is turned on.
>
> This mouse is a logitech M-U0007
>
> A simple work around is to unbind mouse-6/7 but it was very tricky to
> figure all this out.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

If I understand the logic surrounding mwheel-inhibit-click-event-timer
(and I may well not), this is basically working as designed, and the
correct solution here is to do what you did -- unbind mouse-6/7.

I'm not sure what we can do on the Emacs side here -- perhaps document
this better?  But I'm not sure were.  Does anybody have an opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no